package com.ejie.ad74a.util.constantes;

/**
 * Tipos de procesos batch
 */

public enum TipoInteroperabilidadadEnum {

	DEPENDENCIA("1", "SWIOPCDEPIMSE"),
	DISCAPACIDAD("2", "SWIOPDISCAPRD"); //SWIOPDISCAPRD o SWIOPDISCAGEN
	private TipoInteroperabilidadadEnum(String id, String idNisae) {
		this.id = id;
		this.idNisae = idNisae;
	}

	private String id;
	private String idNisae;

	public String getId() {
		return this.id;
	}

	public String getIdNisae() {
		return this.idNisae;
	}
	
	public static TipoInteroperabilidadadEnum getById(String id) {
		for (TipoInteroperabilidadadEnum tipo : TipoInteroperabilidadadEnum.values()) {
			if (tipo.getId().equals(id)) {
				return tipo;
			}
		}
		return null;
	}
}